@charset "utf-8"; 
/*@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@200;400&family=Sarabun:wght@300&display=swap');*/
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@200;300;400;500;600;700&family=Kanit:wght@200;400&family=Sarabun:wght@300&display=swap');
/*body {background: var(--col-darkyellow);}*/

:root {
  	
/*Ratio*/
  --g1:2px;
  --g2:4px;
  --g3:7px;
  --g4:11px;
  --g5:18px;
  --g6:30px;
  --g7:48px;
  --g8:78px;
  --g9:126px;
  --g10:206px;
  --g11:334px;
  --g12:540px;
  --g13:874px;

/*Font Ratio*/ 
  --f1:14px;
  /*--f2:17px;*/
  --f2: 1rem;
  --f3:22px;
  --f4:28px;
  --f5:35px;
  --f6:45px;
  --f7:57px;
  --f8:72px;

  /*--f1:15px;
  --f2:18px;
  --f3:23px;
  --f4:29px;
  --f5:36px;*/
 
/*Stand WiNG Color*/  
  --col-primary: #569ef2;
  --col-primarydark: #1071cf;
  --col-white: #ffffff;
  --col-dark: #333333;
  --col-black: #000000;
  --col-red: #f15756;
  --col-darkred: #be1b16;
  --col-orange: #ff8c2d;
  --col-darkorange: #e8781e;
  --col-lightyellow: #fbf5d4;
  --col-yellow: #fbdc4e;
  --col-darkyellow: #ffc107;
  --col-mint: #45c596;
  --col-green: #1ca94b;
  --col-darkgreen: #077b2e;
  --col-bggrey: #f2f2f2;
  --col-lightgrey: #dddddd;
  --col-grey: #cccccc;
  --col-midgrey: #8b8a8a;
  --col-darkgrey: #5e5e5e;
  --col-lightblue: #e5f1ff;
  --col-blue:#4d95ef;
  --col-darkblue:#071246;
  
  --fil-white: brightness(0) invert(1);

  --f-title:'Inter', sans-serif;
  --f-main:'Inter', sans-serif;

  --main-height: 85vh;
  --main-width:100%;
  --box-width:90%;
  
  --logo-width: 200px;
  
  /*--fd-color:#000000;
  --fc-color:var(--bs-primary);
  --a-color:var(--bs-primary-dark);*/ /*#2293ea;*/ 
  
  /*--f-title:'Kanit';
  --f-main:'sarabun';
  --f-symbol:"\00275A ";*/
  
  --btn-txt1:#ffffff;
  --btn-col1:var(--bs-primary); /*#569ef2; */
  --btn-txt2:#999999;
  --btn-col2:#dddddd;
  --btn-radius:7px;

  --main-bg: #f2f2f2; /*#f4f4f4;*/
  /*--sub-bg: #190b0f;
  --sec-bg:#e9e9e9;
  --frm-bg:#ffffff;
  --pink-bg:#fc3eac;*/

  /*--ip-radius:5px;
  --ip-border:1px solid #cccccc;
  --ip-bg: var(--bs-body-bg);
  --ip-width: 100%;*/

    --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-black: #000;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    /*--bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;*/
    --bs-gray-100: rgba(var(--bs-body-color-rgb),0.1);
    --bs-gray-200: rgba(var(--bs-body-color-rgb),0.2);
    --bs-gray-300: rgba(var(--bs-body-color-rgb),0.3);
    --bs-gray-400: rgba(var(--bs-body-color-rgb),0.4);
    --bs-gray-500: rgba(var(--bs-body-color-rgb),0.5);
    --bs-gray-600: rgba(var(--bs-body-color-rgb),0.6);
    --bs-gray-700: rgba(var(--bs-body-color-rgb),0.7);
    --bs-gray-800: rgba(var(--bs-body-color-rgb),0.8);;
    --bs-gray-900: rgba(var(--bs-body-color-rgb),0.9);
    --bs-primary: #569ef2; /*#0d6efd*/
    --bs-primary-dark: #2f80e0;
    --bs-color-primary: #ffffff;
    --bs-secondary: #6c757d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
    --bs-dark: #212529;
    --bs-primary-rgb: 13,110,253;
    --bs-primary-dark-rgb: 47,128,224;
    --bs-secondary-rgb: 108,117,125;
    --bs-success-rgb: 25,135,84;
    --bs-info-rgb: 13,202,240;
    --bs-warning-rgb: 255,193,7;
    --bs-danger-rgb: 220,53,69;
    --bs-light-rgb: 248,249,250;
    --bs-dark-rgb: 33,37,41;
    --bs-primary-text-emphasis: #052c65;
    --bs-secondary-text-emphasis: #2b2f32;
    --bs-success-text-emphasis: #0a3622;
    --bs-info-text-emphasis: #055160;
    --bs-warning-text-emphasis: #664d03;
    --bs-danger-text-emphasis: #58151c;
    --bs-light-text-emphasis: #495057;
    --bs-dark-text-emphasis: #495057;
    --bs-primary-bg-subtle: #cfe2ff;
    --bs-secondary-bg-subtle: #e2e3e5;
    --bs-success-bg-subtle: #d1e7dd;
    --bs-info-bg-subtle: #cff4fc;
    --bs-warning-bg-subtle: #fff3cd;
    --bs-danger-bg-subtle: #f8d7da;
    --bs-light-bg-subtle: #fcfcfd;
    --bs-dark-bg-subtle: #ced4da;
    --bs-primary-border-subtle: #9ec5fe;
    --bs-secondary-border-subtle: #c4c8cb;
    --bs-success-border-subtle: #a3cfbb;
    --bs-info-border-subtle: #9eeaf9;
    --bs-warning-border-subtle: #ffe69c;
    --bs-danger-border-subtle: #f1aeb5;
    --bs-light-border-subtle: #e9ecef;
    --bs-dark-border-subtle: #adb5bd;
    --bs-white-rgb: 255,255,255;
    --bs-black-rgb: 0,0,0;
    --bs-font-sans-serif: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    --bs-font-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1.1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    --bs-body-color: #212529;
    --bs-body-color-rgb: 33,37,41;
    --bs-body-bg: #fff;
    --bs-body-bg-rgb: 255,255,255;
    --bs-emphasis-color: #000;
    --bs-emphasis-color-rgb: 0,0,0;
    --bs-secondary-color: rgba(33, 37, 41, 0.75);
    --bs-secondary-color-rgb: 33,37,41;
    --bs-secondary-bg: #e9ecef;
    --bs-secondary-bg-rgb: 233,236,239;
    --bs-tertiary-color: rgba(33, 37, 41, 0.5);
    --bs-tertiary-color-rgb: 33,37,41;
    --bs-tertiary-bg: #f8f9fa;
    --bs-tertiary-bg-rgb: 248,249,250;
    --bs-heading-color: inherit;
    --bs-link-color: #0d6efd;
    --bs-link-color-rgb: 13,110,253;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #0a58ca;
    --bs-link-hover-color-rgb: 10,88,202;
    --bs-code-color: #d63384;
    --bs-highlight-bg: #fff3cd;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #ccc /*#dee2e6*/;
    --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
    --bs-border-radius: 0.375rem;
    --bs-border-radius-sm: 0.25rem;
    --bs-border-radius-lg: 0.5rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-xxl: 2rem;
    --bs-border-radius-2xl: var(--bs-border-radius-xxl);
    --bs-border-radius-pill: 50rem;
    --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --bs-focus-ring-width: 0.25rem;
    --bs-focus-ring-opacity: 0.25;
    --bs-focus-ring-color: rgba(13, 110, 253, 0.25);
    --bs-form-valid-color: #198754;
    --bs-form-valid-border-color: #198754;
    --bs-form-invalid-color: #dc3545;
    --bs-form-invalid-border-color: #dc3545;

    --bs-nav-link-font-size: var(--f2);
    /*--bs-nav-link-font-weight: 400; */

}

* { -webkit-text-size-adjust:none !important; box-sizing: border-box; }
html, body { 
  padding:0; margin:0;  white-space: normal; font-size: var(--f2);
  /*word-wrap: break-word;  word-break: break-word;*/  text-overflow: normal;
  -webkit-tap-highlight-color: transparent;
  font-family: var(--f-main),'Sarabun', arial, Helvetica, sans-serif !important;  
  /*font-size: 1.03rem !important;*/
  color:ver(--bs-body-color);}
html, body, p, ol, dl, dt, dd, ul, li, td, blockquote, figure, fieldset, form, legend, textarea, pre, iframe, hr, h1, h2, h3, h4, h5, h6 { 
-moz-osx-font-smoothing:grayscale; -webkit-font-smoothing: antialiased}

article,aside,figcaption,figure,footer,header,hgroup,main,nav,section {display: block;}
/*h1,h2,h3,h4,h5,h6 {  margin:0;}
h3, h4, h5, h6 { font-weight:inherit}*/
.b { font-weight: bold;}
/*p {margin-top: 0;  margin-bottom: 1rem;}*/
hr {margin-top: 0.5rem;  margin-bottom: 0.5rem; border: 0;  border-top: 1px solid rgba(var(--bs-secondary-color-rgb),0.5);}
.hr-dark {border-top: 1px solid rgba(var(--bs-body-color-rgb), 1);}
a, a:hover {text-decoration:none; cursor:pointer; color:var(--bs-primary-dark);}
/*a:active {-webkit-filter:  brightness(80%); filter:  brightness(80%);}*/
a img { border:none; cursor:pointer}
a input, a button, a:hover input, a:hover button, input:hover, button:hover { text-decoration:none !important;  cursor:pointer}
onclick { cursor:pointer}
ul, li { list-style:none; padding:0; margin: 0;}
img {border-style: none; -khtml-user-select:none; -o-user-select:none; -moz-user-select:none; -webkit-user-select:none; user-select:none}
img.im, img.middle { vertical-align:middle; margin-top:-2px;}

header {position: relative; min-height: 4vh;}
main {position: relative; min-height: calc(100vh - var(--header-min-height) - var(--footer-height)); /*min-height: var(--main-height); padding:2vh 0vw;*/ }
footer {position: relative; min-height: 4vh;}

.container{
 max-width:1300px;
 margin:0px auto;
}

.btn-green { background:var(--col-darkgreen) !important; color:var(--col-white) !important;}
.btn-gray { background:var(--col-grey) !important; color:var(--col-dark) !important;}
.btn-red { background:var(--col-red) !important; color:var(--col-white) !important;}
.btn-orange { background:var(--col-orange) !important; color:var(--col-white) !important;}
.btn-yellow { background:var(--col-yellow) !important; color:var(--col-dark) !important}
.btn-white { background:var(--col-white) !important; border:var(--bs-primary) !important; color:var(--bs-primary-dark) !important;}
.eg { font-size: var(--f1); color:var(--col-darkgrey)}
.f1 { font-size: var(--f1)}
.f2 { font-size: var(--f2); line-height:1.5}
.f3 { font-size: var(--f3); line-height:1.25}
.f4 { font-size: var(--f4); line-height:1.125}
.f5 { font-size: var(--f5); line-height:1.0}
.f6 { font-size: var(--f6); line-height:1.0}
.f7 { font-size: var(--f7); line-height:1.0}
.f8 { font-size: var(--f8); line-height:1.0}
.fc {color:var(--bs-primary);}
.fc1 { font-size: var(--f1); color:var(--bs-primary);}
.fc2 { font-size: var(--f2); color:var(--bs-primary);}
.fc3 { font-size: var(--f3); color:var(--bs-primary);}
.fc4 { font-size: var(--f4); color:var(--bs-primary);}
.fc5 { color:var(--col-green);}
.fc6 { color:var(--col-red);}
.fc7 { color:var(--col-lightgrey);}
.fc8 { color:var(--col-yellow);}
.fc9 { color:var(--bs-primary-dark)}
.fc10 { color:var(--col-orange);}
.fc11 { color:var(--col-darkgrey)}
.fc12 { color:var(--col-white)}

.fs-5-15 { font-size: 1.15rem;}

.fs-7 { font-size: 0.8rem;}
.extra-small { font-size: 0.75rem;} /* small 0.875 */

.f-title {font-family:var(--f-title);} /*fKanit*/
.f-main {font-family:var(--f-main);} /*fSarabun*/
.f-thin, .font-weight-light { font-weight:300;}
.f-medium, .font-weight-medium { font-weight:500;}
.f-kanit {font-family:'Kanit'}
.f-sarabun {font-family:'Sarabun'}

.w1 { width: var(--g1);}
.w2 { width: var(--g2);}
.w3 { width: var(--g3);}
.w4 { width: var(--g4);}
.w5 { width: var(--g5);}
.w6 { width: var(--g6);}
.w7 { width: var(--g7);}
.w8 { width: var(--g8);}
.w9 { width: var(--g9);}
.w10 { width: var(--g10);}
.w11 { width: var(--g11);}
.w12 { width: var(--g12);}
.w13 { width: var(--g13);}

.g1 { height: var(--g1);}
.g2 { height: var(--g2);}
.g3 { height: var(--g3);}
.g4 { height: var(--g4);}
.g5 { height: var(--g5);}
.g6 { height: var(--g6);}
.g7 { height: var(--g7);}
.g8 { height: var(--g8);}
.g9 { height: var(--g9);}
.g10 { height: var(--g10);}
.g11 { height: var(--g11);}
.g12 { height: var(--g12);}
.g13 { height: var(--g13);}

.pb-G0 { padding-bottom: 0px;}
.pb-G1 { padding-bottom: var(--g1);}
.pb-G2 { padding-bottom: var(--g2);}
.pb-G3 { padding-bottom: var(--g3);}
.pb-G4 { padding-bottom: var(--g4);}
.pb-G5 { padding-bottom: var(--g5);}
.pb-G6 { padding-bottom: var(--g6);}
.pb-G7 { padding-bottom: var(--g7);}
.pb-G8 { padding-bottom: var(--g8);}
.pb-G9 { padding-bottom: var(--g9);}
.pb-G10 { padding-bottom: var(--g10);}
.pb-G11 { padding-bottom: var(--g11);}
.pb-G12 { padding-bottom: var(--g12);}
.pb-G13 { padding-bottom: var(--g13);}

.pt-G0 { padding-top: 0px;}
.pt-G1 { padding-top: var(--g1);}
.pt-G2 { padding-top: var(--g2);}
.pt-G3 { padding-top: var(--g3);}
.pt-G4 { padding-top: var(--g4);}
.pt-G5 { padding-top: var(--g5);}
.pt-G6 { padding-top: var(--g6);}
.pt-G7 { padding-top: var(--g7);}
.pt-G8 { padding-top: var(--g8);}
.pt-G9 { padding-top: var(--g9);}
.pt-G10 { padding-top: var(--g10);}
.pt-G11 { padding-top: var(--g11);}
.pt-G12 { padding-top: var(--g12);}
.pt-G13 { padding-top: var(--g13);}

.pl-G0 { padding-left: 0px;}
.pl-G1 { padding-left: var(--g1);}
.pl-G2 { padding-left: var(--g2);}
.pl-G3 { padding-left: var(--g3);}
.pl-G4 { padding-left: var(--g4);}
.pl-G5 { padding-left: var(--g5);}
.pl-G6 { padding-left: var(--g6);}
.pl-G7 { padding-left: var(--g7);}
.pl-G8 { padding-left: var(--g8);}
.pl-G9 { padding-left: var(--g9);}
.pl-G10 { padding-left: var(--g10);}
.pl-G11 { padding-left: var(--g11);}
.pl-G12 { padding-left: var(--g12);}
.pl-G13 { padding-left: var(--g13);}

.pr-G0 { padding-right: 0px;}
.pr-G1 { padding-right: var(--g1);}
.pr-G2 { padding-right: var(--g2);}
.pr-G3 { padding-right: var(--g3);}
.pr-G4 { padding-right: var(--g4);}
.pr-G5 { padding-right: var(--g5);}
.pr-G6 { padding-right: var(--g6);}
.pr-G7 { padding-right: var(--g7);}
.pr-G8 { padding-right: var(--g8);}
.pr-G9 { padding-right: var(--g9);}
.pr-G10 { padding-right: var(--g10);}
.pr-G11 { padding-right: var(--g11);}
.pr-G12 { padding-right: var(--g12);}
.pr-G13 { padding-right: var(--g13);}

.p-G1 { padding: var(--g1);}
.p-G2 { padding: var(--g2);}
.p-G3 { padding: var(--g3);}
.p-G4 { padding: var(--g4);}
.p-G5 { padding: var(--g5);}
.p-G6 { padding: var(--g6);}
.p-G7 { padding: var(--g7);}
.p-G8 { padding: var(--g8);}
.p-G9 { padding: var(--g9);}
.p-G10 { padding: var(--g10);}
.p-G11 { padding: var(--g11);}
.p-G12 { padding: var(--g12);}
.p-G13 { padding: var(--g13);}

/*.text-left {text-align: left;}
.text-center {text-align: center;}
.text-right {text-align: right;}
.text-justify {text-align: justify;}
.text-start {text-align: start;}
.text-end {text-align: end;}*/

.opa-0 { opacity: 0.0;}
.opa-3 { opacity: 0.3;}
.opa-5 { opacity: 0.5;}
.opa-6 { opacity: 0.6;}
.opa-7 { opacity: 0.7;}
.opa-8 { opacity: 0.8;}
.opa-9 { opacity: 0.9;}
.opa-10 { opacity: 1.0;}

.dp-in-block { display:inline-block}
.dp-block { display:block}
.dp-none { display:none}
.dp-tb-row { display:table-row}
.dp-tb-cell { display:table-cell}

.center {text-align:center;}
.left {text-align:left;}
.right {text-align:right;}

.float-right { float:right}
.float-left { float:left}

.p-relative { position: relative;}
.p-absolute { position: absolute;}
.p-fixed { position: fixed;}

.top-td td{vertical-align : top;}
.bottom-td td{vertical-align : bottom;}
.middle-td td{vertical-align : middle;}

.text-middle {vertical-align: middle;}
.text-body {color: var(--bs-body-color) !important;}
.text-primary { color:var(--bs-primary) !important;}
.text-primarydark { color:var(--bs-primary-dark) !important;}
.text-color-primary { color:var(--bs-color-primary) !important;}
.text-mint { color:var(--col-mint);}
.text-gary {color: var(--col-grey);}
.text-gray-100 { color:var(--bs-gray-100);}
.text-gray-200 { color:var(--bs-gray-200);}
.text-gray-300 { color:var(--bs-gray-300);}
.text-gray-400 { color:var(--bs-gray-400);}
.text-gray-500 { color:var(--bs-gray-500);}
.text-gray-600 { color:var(--bs-gray-600);}
.text-gray-700 { color:var(--bs-gray-700);}
.text-gray-800 { color:var(--bs-gray-800);}
.text-gray-900 { color:var(--bs-gray-900);}

.bg-gray-100 { background:var(--bs-gray-100);}
.bg-gray-200 { background:var(--bs-gray-200);}
.bg-gray-300 { background:var(--bs-gray-300);}
.bg-gray-400 { background:var(--bs-gray-400);}
.bg-gray-500 { background:var(--bs-gray-500);}
.bg-gray-600 { background:var(--bs-gray-600);}
.bg-gray-700 { background:var(--bs-gray-700);}
.bg-gray-800 { background:var(--bs-gray-800);}
.bg-gray-900 { background:var(--bs-gray-900);}

.bggrey { background-color: var(--col-bggrey);}
.bgblue { background-color: var(--col-blue);}
.bglightgrey { background-color: var(--col-bglightgrey);}
.bglightblue { background-color: var(--col-lightblue);}

.bg-none { background: none !important;}
.bg-body { background-color: var(--bs-body-bg) !important;}
.bg-primary { background-color: var(--bs-primary) !important;}
.bg-main { background-color: var(--col-bggrey) !important;}
.bg-gray { background-color: var(--col-grey) !important;}
.bg-lightgray { background-color: var(--col-bggrey) !important;}
.bg-white { background-color: var(--col-white) !important;}
.bg-blue { background-color: rgba(var(--bs-primary-rgb),0.5) !important;}
.bg-green { background-color: rgba(var(--bs-success-rgb),0.5) !important;}
.bg-orange { background-color: var(--col-orange) !important;}
.bg-lightblue { background:var(--col-lightblue) !important;}
.bg-yellow { background-color: var(--col-darkyellow) !important;}
.bg-mint { background:var(--col-mint) !important;}
.bg-pink { background:var(--bs-danger-border-subtle) !important;}

.dropdown-item {
  font-size: var(--bs-nav-link-font-size);
}
.form-control, input[type="text"], input[type="password"], input[type="email"], input[type="number"], input[type="tel"], textarea, input[type="date"], select{ 
	border-radius: var(--bs-border-radius);  
	-moz-border-radius: var(--bs-border-radius); 
	-webkit-border-radius: var(--bs-border-radius); 
	border:var(--bs-border-width) solid var(--bs-border-color);
	background: var(--bs-body-bg); 
	/*font-size: var(--f2); */
	min-height:25px; 
	color:var(--bs-body-color);
	width: 100%;
	-webkit-transition: all 0.30s ease-in-out;
    -moz-transition: all 0.30s ease-in-out;
    -ms-transition: all 0.30s ease-in-out;
    -o-transition: all 0.30s ease-in-out;
    transition: all 0.30s ease-in-out;
    outline: none;
	  margin: var(--g2) 0;
    /*padding: 0.375rem 0.75rem;*/
    font-weight: 400;
    line-height: 1.5;
    background-clip: padding-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.form-select {
  border:var(--bs-border-width) solid var(--bs-border-color);
}
.form-control.is-valid, .was-validated .form-control:valid,
.form-control.is-valid:focus, .was-validated .form-control:valid:focus{
  border:var(--bs-border-width) solid var(--bs-border-color);
  background-image:none;
}
.form-select.is-valid, .was-validated .form-select:valid ,
.form-select.is-valid:focus, .was-validated .form-select:valid:focus{
  border:var(--bs-border-width) solid var(--bs-border-color);
}
.form-select.is-valid:not([multiple]):not([size]), .form-select.is-valid:not([multiple])[size="1"], .was-validated .form-select:valid:not([multiple]):not([size]), .was-validated .form-select:valid:not([multiple])[size="1"] {
  --bs-form-select-bg-icon :none;
}

option[value=""], option[value=""][disabled], option:first-of-type, select:required:invalid {
  opacity: 0.8;
}

input[type="text"][disabled], input[type="tel"][disabled], input[type="number"][disabled] {
opacity: 0.9;
}
.form-check-label {
  padding-top: 0.1rem;
}
.form-check-input:disabled~.form-check-label, .form-check-input[disabled]~.form-check-label {
  opacity: 0.9;
}
.form-control:disabled, .form-select:disabled {
  opacity: 0.9;
  background-color: var(--bs-body-bg);
}

/*input[type="text"]:focus, input[type="password"]:focus, input[type="email"]:focus, input[type="number"]:focus, input[type="tel"]:focus, textarea:focus, input[type="date"]:focus, select:focus{
  box-shadow: 0 0 5px rgba(255, 180, 0, 0.5);
  border: 1px solid rgba(255, 180, 0, 0.5);
}*/
select option:checked, select:focus > option:checked, 
select option:hover, option:hover{
  background-color: rgba(var(--bs-primary-rgb),0.2);
  box-shadow: 0 0 10px 100px rgba(var(--bs-primary-rgb),0.5) inset;
}

button, input[type="button"],input[type="submit"] { 
  background: var(--btn-col1);
  color: var(--btn-txt1);
  border: none;
  border-radius: 0.25rem;
}
button[disabled]:active, button[disabled], input[type="button"][disabled]:active,
input[type="button"][disabled], input[type="submit"][disabled]:active,
input[type="submit"][disabled], button[disabled]:hover,
input[type="button"][disabled]:hover,input[type="submit"][disabled]:hover,
.btn:disabled
{
  cursor: inherit ;

    --bs-btn-color: #fff;
    --bs-btn-bg: #6c757d;
    --bs-btn-border-color: #6c757d;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #5c636a;
    --bs-btn-hover-border-color: #565e64;
    --bs-btn-focus-shadow-rgb: 130,138,145;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #565e64;
    --bs-btn-active-border-color: #51585e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #6c757d;
    --bs-btn-disabled-border-color: #6c757d;
}


.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--bs-primary);
  --bs-btn-border-color: var(--bs-primary);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--bs-primary-dark);
  --bs-btn-hover-border-color: var(--bs-primary-dark);
  --bs-btn-focus-shadow-rgb: 49,132,253;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--bs-primary-dark);
  --bs-btn-active-border-color: var(--bs-primary-dark);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: var(--bs-primary);
  --bs-btn-disabled-border-color: var(--bs-primary);
}

.btn-outline-primary {
  --bs-btn-color: var(--bs-primary);  /*#0d6efd;*/
  --bs-btn-border-color: var(--bs-primary);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--bs-primary);
  --bs-btn-hover-border-color: var(--bs-primary);
  --bs-btn-focus-shadow-rgb: 49,132,253;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--bs-primary);
  --bs-btn-active-border-color: var(--bs-primary);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: var(--bs-primary);
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: var(--bs-primary);
  --bs-gradient: none;
}

input[type="text"]:read-only, input[type="tel"]:read-only, input[type="number"]:read-only, textarea:read-only  {
	background-color: rgba(255, 255, 255, 0.2);
  border-color: rgba(0, 0, 0, 0.12) !important;
  cursor: inherit !important;
}

input::placeholder {overflow: visible;}

input[type="text"].form-control , input[type="password"].form-control, input[type="email"].form-control,
input[type="date"].form-control , input[type="tel"].form-control, input[type="number"].form-control, input[type="file"].form-control,
textarea.form-control, select.form-control, select.form-select {
  /*padding: 0.375rem 0.75rem !important;*/
  margin: 0 !important;
  line-height: 1.5 !important;
  cursor: pointer !important;
  -webkit-appearance: none !important;
  -moz-appearance: none !important;
  appearance: none !important;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out !important;
  box-shadow: none !important;
}
input[type="text"].rounded {border-radius: 0 0.375rem 0.375rem 0 !important; border-left: 0 !important;}
input[type="password"].login-password, input[type="text"].login-password {border-left: 0 !important;}
.input-group>.form-control {
  position: relative !important;
  flex: 1 1 auto !important;
  width: 1% !important;
  min-width: 0 !important;
}
input:focus, textarea:focus, select:focus {
  box-shadow: none !important;
  border-color: var(--bs-primary) !important;
  /*border: 1px solid var(--bs-orange);*/
}
.input-group:focus-within .input-group-prepend .input-group-text,
.form-control:focus ~ .input-group-append .input-group-text,
.input-group:focus-within .input-group-text,
.form-control:focus ~ .input-group-text {
  border-color: var(--bs-primary) !important;
}
.form-check-input:checked {
  background-color: var(--bs-primary);
  border-color: var(--bs-primary);
}
.form-check {
  padding-top: 0.25rem;
}

input[type=color]{
	width: 50px;
	height: 40px;
	border: none;
	background: none;
  padding: 0;
  margin: 0;
}
input[type="color"]::-webkit-color-swatch-wrapper {
	padding: 0;
}
input[type="color"]::-webkit-color-swatch {
	border: var(--bs-border-width) solid var(--bs-border-color); /*change color of the swatch border here*/

}
.form-group input[type="color"]::-webkit-color-swatch {
  border-radius: 0 5px 5px 0;
}



.btn-long { width:100%;}
.btn-i-long { min-width:200px;}
.btn-short { width: auto;}
.btn-regis {background-color: var(--btn-col1); color:var(--btn-txt1); border:none; border-radius:5px; padding: 10px 20px; font-size:var(--f2); min-width:250px;}
.btn-mini { padding:2px 7px !important; font-size:var(--f1);}
.btn-large {padding: 10px 15px;  font-size: var(--f3);}

.radius-sm { border-radius: 5px !important;}
.radius-md { border-radius: 10px !important;}
.radius-lg { border-radius: 15px !important;}
.radius-xl { border-radius: 25px !important;}

/*input*/
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
  appearance: textfield;
}

.boxOther {width:270px;}

/*error*/
label.error{ font-size: var (--f1); color:var(--col-darkred) !important; display:block; padding-left:10px; line-height: 25px; padding-bottom: 10px;}
/*label.error::before {
  display: inline;
  content: "⚠ ";
}*/
.warning {color:var(--col-darkred); }
select.long, input.long { width:100%;}
select.short, input.short{ width:250px;}
select.mini, input.mini{ width:70px; padding: 4px 25px 4px 10px !important; min-height:25px !important;}
select.fit, input.fit{ width:fit-content;}
.error-message {
  color:var(--bs-form-invalid-color);
  font-size: var(--f1);
}  
details, details summary {
padding-left:0;
background-image:none;
-webkit-appearance:none;
appearance:none;
outline:none;
}

details > summary {
  list-style: none;
  /*color: var(--fc-color);*/
  cursor:pointer;
  outline:none;
}
details > summary::-webkit-details-marker {
  display: none;
  outline:none;
}

[contenteditable] {
  outline: 0px solid transparent;
  cursor: text !important;
}

/*details[open] summary
{ display:none;}*/


fieldset.setborder {
  border: 1px groove var(--bs-gray-200);
  padding: 0 0.5em;
  margin: 0;
  -webkit-box-shadow:  0px 0px 0px 0px var(--bs-body-color);
          box-shadow:  0px 0px 0px 0px var(--bs-body-color);
}

fieldset.setborder  legend {
      font-size: 0.8em;
      text-align: left;
      width:auto;
      padding:0 5px;
      border-bottom:none;
      margin: 0;
      float: inherit;
}

/*fieldset, legend {
  all: revert;
}*/


header, footer { min-width:280px;}


@media only screen and (min-width: 1px) and (max-width: 540px){
.box-other {display: block;}
.btn-i-long { width:100%;}
.btn-long { width:100%;}
.btn-short { width: auto; padding:5px !important;}
}


@media only screen and (min-width:641px) and (max-width:800px) { 
.dis-pad { display:none !important;}
.show-pad { display:block !important;}
}

@media only screen and (min-width: 1px) and (max-width: 640px){
table.block td, td.block{ display: block; width: 100%;}
.dis-phone { display:none !important;}
.show-phone { display:block !important;}
.box { display:block; width:100%;}
.res-dp-in-block { display:inline-block}
.res-dp-block { display:block}
.res-dp-none { display:none}
.res-dp-tb-row { display:table-row}
.res-dp-tb-cell { display:table-cell}

.res-25 {width:25%}
.res-33 {width:33%}
.res-50 {width:50%}
.res-75 {width:75%}
.res-100 {width:100%}
}


@media only screen and (min-width: 1025px) {
 .dis-pc {display:none !important;}
 .show-pc { display:block !important;}
}

@media only screen and (max-width: 1024px) {
 .dis-none {display:none !important;}
 @supports (-webkit-touch-callout: none) 
  {
	strong, h1,h2,h3,h4,h5, .b {letter-spacing: -0.5px;} 
  }
}

/*@media only screen and (min-height: 1081px) {
 main { min-height: calc(var(--main-height) + 15vh); }
}*/
